Jump to content
Wikimedia Meta-Wiki

MediaWiki:Minerva.css

From Meta, a Wikimedia project coordination wiki

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
 /**
  * Hide stuff meant for registered users. Overridden in [[Mediawiki:Group-user.css]].
  * This needed because on the WMF cluster, Common.css isn't loaded on mobile.
  */
 .user-show{
 display:none;
 }

 @mediascreen{
 /* User signatures */
 html.skin-theme-clientpref-nighta[title^="Special:Contributions"][style],
 html.skin-theme-clientpref-nighta[title^="User"][color],
 html.skin-theme-clientpref-nighta[title^="User"][style]{
 background:white;
 }

 /* For pages which have a wrapping DIV and inline style without an associated class
  * e.g. https://meta.wikimedia.org/wiki/Community_Logo%2FRequest_for_consultation
  */
 html.skin-theme-clientpref-night[data-mw-thread-id]+div:last-child[style]:not([class]){
 background:transparent!important;
 color:inherit!important;
 }

 /* automatic mode */
 @mediascreenand(prefers-color-scheme:dark){
 /* User signatures */
 html.skin-theme-clientpref-osa[title^="Special:Contributions"][style],
 html.skin-theme-clientpref-osa[title^="User"][color],
 html.skin-theme-clientpref-osa[title^="User"][style]{
 background:white;
 }
 /* For pages which have a wrapping DIV and inline style without an associated class
  * e.g. https://meta.wikimedia.org/wiki/Community_Logo%2FRequest_for_consultation
  */
 html.skin-theme-clientpref-os[data-mw-thread-id]+div:last-child[style]:not([class]){
 background:transparent!important;
 color:inherit!important;
 }
 }

AltStyle によって変換されたページ (->オリジナル) /